Get Webhook
GET
API for querying Webhook information by Subscription ID.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Query Parameters
subscriptionIdstring
Parameter that specifies the subscriptionId assigned to the Webhook to query. Use the subscriptionId returned when creating the Webhook to query, update, or delete Webhook information. Enter an empty value to query all Webhook information.Responses
totalnumberrequired
Total number of events matching the criteria.pagenumberrequired
Current page number of the query.rppnumberrequired
Number of events per page returned based on the request.Array containing event detail data.
subscriptionIdstringrequired
Field representing the subscriptionId assigned to the Webhook. subscriptionId is a unique value that identifies the Webhook and is used to query, update, or delete the Webhook.descriptionstringrequired
Field representing the Webhook description.protocolstringrequired
Field representing the chain subscribed to via this Webhook. (e.g., ETHEREUM, POLYGON, OPTIMISM, ...)networkstringrequired
Field representing the network subscribed to via this Webhook. (e.g., MAINNET, SEPOLIA, MUMBAI, ...)subscriptionTypestringrequired
Field for identifying the subscription type.eventTypestringrequired
Field representing the event type subscribed to by this Webhook.Field representing the information for receiving notifications via Webhook.
webhookUrlstringrequired
Field representing the URL for receiving Webhook notifications.isInstantboolean
Field that specifies whether the Instant Webhook option is enabled.- true: When enabled, you can receive Webhook messages immediately when the monitored event is detected, regardless of block confirmation status.
- false: When disabled, messages are sent only after the block containing the event transaction has been confirmed.
isActivebooleanrequired
Field representing whether the Webhook is active. true when the Webhook is enabled, false when disabled. When disabled, you cannot receive notifications via the Webhook.updatedAtstringrequired
Indicates when there was a change in the webhook delivery result (status), e.g., when a failed delivery was retried and changed to success. This field is returned in ISO 8601 format.createdAtstringrequired
Indicates when the webhook event occurred and the log was created. This field is returned in ISO 8601 format.conditionobjectrequired
Field representing the Webhook subscription conditions. Conditions may vary by event type.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X GET 'https://web3.nodit.io/v1/avalanche/mainnet/webhooks?subscriptionId=5001' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'